package com.module.backstage.model

/**
 * 故障排查子项
 */
abstract class ErrorCheckTask {
    abstract val description: String

    var status: Boolean =false
        get() = field
        set(value) {
            field = value
        }

    // 抽象方法，每个具体的任务需要实现这个方法来进行诊断
    abstract suspend fun run(): Boolean

}